"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlgoBlock = void 0;
const algoUtils_1 = require("../../utils/algoUtils");
const BlockBase_1 = require("../BlockBase");
class AlgoBlock extends BlockBase_1.BlockBase {
    get number() {
        return this.data.round;
    }
    get blockHash() {
        return this.data.cert.prop.dig;
    }
    get stdBlockHash() {
        return (0, algoUtils_1.base64ToHex)(this.data.cert.prop.dig);
    }
    get unixTimestamp() {
        return this.data.timestamp;
    }
    get transactionIds() {
        if (this.data.transactions === undefined) {
            return [];
        }
        return this.data.transactions.map(algoUtils_1.filterHashes);
    }
    get stdTransactionIds() {
        return this.transactionIds.map(algoUtils_1.txIdToHexNo0x);
    }
    get transactionCount() {
        if (this.data.transactions === undefined) {
            return 0;
        }
        return this.data.transactions.length;
    }
}
exports.AlgoBlock = AlgoBlock;
//# sourceMappingURL=AlgoBlock.js.map